Bug 1291254 - Rebase FreeRDP to newer version
Summary: Rebase FreeRDP to newer version
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: freerdp
Version: 7.7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Ondrej Holy
QA Contact: Desktop QE
URL:
Whiteboard:
: 1417798 (view as bug list)
Depends On:
Blocks: 1290449 1656436 1679685 983079 1349566 1357558 1663085 1680229 1684153 1684157 1684164
TreeView+ depends on / blocked
 
Reported: 2015-12-14 12:40 UTC by Marek Kašík
Modified: 2019-08-06 13:00 UTC (History)
9 users (show)

Fixed In Version: freerdp-2.0.0-1.rc4.el7
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 12:59:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2157 None None None 2019-08-06 13:00:14 UTC

Description Marek Kašík 2015-12-14 12:40:58 UTC
Description of problem:
To be able to fix feature request from #1290449, we need to have newer FreeRDP available (at least 1.1). There is (*pVerifyChangedCertificate) callback defined in it which allows us to inform user about change of fingerprint of certificate of remote machine so that he can accept or reject the new certificate.


Steps to Reproduce:
1. Connect to remote Windows machine
2. Accept given certificate
3. Change fingerprint of the machine in ~/.freerdp/known_hosts to something else
4. Connect to the machine again


Actual results:
There is just a general connection error message


Expected results:
It asks user to accept or reject the changed certificate

Comment 1 Ondrej Holy 2016-01-07 08:28:00 UTC
There is more bugs which will be fixed by the rebase. The problem is that freerdp-1.0 is latest official upstream stable release. Though there were 1.1 and 1.2 beta releases, but they have never been released as stable. Upstream told that current master (future 2.0) is most stable version ever, but release isn't scheduled yet...

Another problem might be that the public API was changed a lot since 1.0 version and also cmd syntax is different...

See some recent discussions on mailing list regarding to releases:
http://sourceforge.net/p/freerdp/mailman/message/34701893/
http://sourceforge.net/p/freerdp/mailman/message/34705731/

Comment 2 Ondrej Holy 2016-06-23 08:56:36 UTC
Upstream wants to make API freeze around July and then they want to work towards 2.0-rc1, see: 
https://sourceforge.net/p/freerdp/mailman/message/35113671/

So let's reconsider this for rhel-7.4.

Comment 3 Ondrej Holy 2017-02-06 12:39:53 UTC
*** Bug 1417798 has been marked as a duplicate of this bug. ***

Comment 4 Ondrej Holy 2017-02-06 12:41:27 UTC
Probably the latest info about the planned release can be found at:
https://github.com/FreeRDP/FreeRDP/issues/2839

However, it seems that there aren't any timelines yet...

Comment 5 Ondrej Holy 2017-07-28 09:14:04 UTC
Good news is that 2.0.0-rc0 has been finally released:
http://www.freerdp.com/2017/07/24/2_0_0_rc0-released

Comment 6 Ondrej Holy 2017-08-08 13:42:13 UTC
Let's move this in 7.6 since the stable release was not released yet...

Comment 7 Ondrej Holy 2018-03-14 10:01:32 UTC
Freerdp master is slowly reaching rc2 and after that, it will be likely stable release. I don't think it will be in time for RHEL 7.6 unfortunately, but I RHEL 7.7 sounds feasible. We can't do much here before the new stable release.

Also, I don't think that it will be possible to just simply rebase due to API changes, but freerdp2 packages will have to be added alongside probably.

Comment 8 Ondrej Holy 2018-04-19 06:55:28 UTC
rc2 is out, but one more release candidate (rc3) was announced before the final release:
http://www.freerdp.com/2018/04/11/2_0_0_rc2-released

Comment 9 Tomas Pelka 2018-04-20 09:02:25 UTC
Due to planned work load for 7.6 I would like to push this to 7.7 if possible.

Comment 10 Michael DePaulo 2018-05-13 05:28:16 UTC
1. Could you Red Hatters please make 1571842 public?

2. FreeRDP 2.0.0-dev prior to a 2018-03-20 cannot connect to Windows systems that have the patch for CVE-2018-0886 (CredSSP update) applied:
https://github.com/FreeRDP/FreeRDP/issues/4449

3. For RHEL6 & RHEL 7.5 systems, I have RPMs available here:
https://copr.fedorainfracloud.org/coprs/mikedep333/freerdp-backport/

I modified the RPM packaging of the Fedora 26/27/28 version of FreeRDP 2.0.0-dev from 2018-04-05 (including the fix for #2, shortly before 2.0.0rc2 was released) so that it would build on RHEL 7.5, and then adapted it even more for RHEL6.
You can view the RPM packaging here:
https://github.com/mikedep333/freerdp-rpm/tree/f28-to-el7
Vinagre had to be rebuilt/patched for it too:
https://github.com/mikedep333/vinagre-centos-rpm

I intend to update it when Fedora releases updates, but it's not automatic.

4. Reminder: I am a Fedora contributor but I cannot speak for Red Hat. Maybe they'll use this packaging, maybe they won't.

Comment 11 Ondrej Holy 2018-05-29 11:46:42 UTC
We can't rebase before another official upstream release. 2.0-rc3 is almost ready, but still, there is long bug list, which needs to be resolved before 2.0. See:
https://github.com/FreeRDP/FreeRDP/milestones

Let's postpone this to RHEL-7.7.

However, I will try to convince Fedora maintainers to provide EPEL package for it:
https://bugzilla.redhat.com/show_bug.cgi?id=1566251

Comment 12 Ondrej Holy 2018-05-29 11:51:40 UTC
(In reply to Michael DePaulo from comment #10)
> 1. Could you Red Hatters please make 1571842 public?

I don't think we can make 1571842 public, but it is only internal bug tracker for the upcoming release, nothing interesting.

> 3. For RHEL6 & RHEL 7.5 systems, I have RPMs available here:
> https://copr.fedorainfracloud.org/coprs/mikedep333/freerdp-backport/

Thanks for the COPR repository, however, I think the better way would be to provide EPEL packages. Aren't you interested in it? See my previous comment.

Comment 17 Ondrej Holy 2018-11-12 10:18:15 UTC
Just a note that 2.0.0-rc3 was released before some time and recently 2.0.0-rc4 milestone has been added and is expected to be out soon. There are still some issues which block 2.0.0 to be finally released.

Comment 19 Ondrej Holy 2019-02-23 08:20:57 UTC
The rebase requires vinagre rebuild due to API/ABI changes, see 1680229. I am not going to provide the compat package at this point, because vinagre is only package which uses freerdp libraries and freerdp is not on ABI compatibility list. We can add the compat package later if needed.

Comment 20 Ondrej Holy 2019-02-23 08:21:32 UTC
Just a note that kdenetwork-krdc depends on freerdp as well, but it just calls xfreerdp, so kdenetwork rebase is not needed. It seems it works correctly with the rebased version.

Comment 25 errata-xmlrpc 2019-08-06 12:59:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2157


Note You need to log in before you can comment on or make changes to this bug.